Validate import storage
Validate a specific S3 import storage connection.
Authentication
Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Request
This endpoint expects an object.
aws_access_key_id
AWS_ACCESS_KEY_ID
aws_secret_access_key
AWS_SECRET_ACCESS_KEY
aws_session_token
AWS_SESSION_TOKEN
aws_sse_kms_key_id
AWS SSE KMS Key ID
bucket
S3 bucket name
description
Storage description
id
Storage ID. If set, storage with specified ID will be updated
prefix
S3 bucket prefix
presign
Presign URLs for download
presign_ttl
Presign TTL in minutes
project
Project ID
recursive_scan
Scan recursively
regex_filter
Cloud storage regex for filtering objects. You must specify it otherwise no objects will be imported.
region_name
AWS Region
s3_endpoint
S3 Endpoint
title
Storage title
use_blob_urls
Interpret objects as BLOBs and generate URLs. For example, if your bucket contains images, you can use this option to generate URLs for these images. If set to False, it will read the content of the file and load it into Label Studio.
Response
Validation successful